Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:55 2009

## Asterisk developer's documentation

# zt_pvt Struct Reference

Collaboration diagram for zt_pvt:

[legend]

## Data Fields

char | accountcode [AST_MAX_ACCOUNT_CODE]
unsigned int | adsi:1
int | amaflags
unsigned int | answeronpolarityswitch:1
int | busy_quietlength
int | busy_tonelength
int | busycount
unsigned int | busydetect:1
char | call_forward [AST_MAX_EXTENSION]
ast_group_t | callgroup
int | callingpres
int | callprogress
unsigned int | callreturn:1
char | callwait_name [AST_MAX_EXTENSION]
char | callwait_num [AST_MAX_EXTENSION]
int | callwaitcas
unsigned int | callwaiting:1
unsigned int | callwaitingcallerid:1
int | callwaitingrepeat
int | callwaitrings
unsigned int | cancallforward:1
unsigned int | canpark:1
int | channel
char | cid_name [AST_MAX_EXTENSION]
char | cid_num [AST_MAX_EXTENSION]
int | cid_signalling
int | cid_start
int | cid_ton
int | cidcwexpire
int | cidlen
int | cidpos
int | cidrings
unsigned char * | cidspill
unsigned int | confirmanswer:1
int | confno
int | confusers
char | context [AST_MAX_CONTEXT]
int | cref
char | defcontext [AST_MAX_CONTEXT]
unsigned int | destroy:1
char | dialdest [256]
unsigned int | dialednone:1
unsigned int | dialing:1
unsigned int | didtdd:1
unsigned int | digital:1
int | distinctivering
unsigned int | dnd:1
char | dnid [AST_MAX_EXTENSION]
ZT_DIAL_OPERATION | dop
struct zt_distRings | drings
struct ast_dsp * | dsp
int | dsp_features
int | dtmfrelax
unsigned int | echobreak:1
unsigned int | echocanbridged:1
int | echocancel
unsigned int | echocanon:1
char | echorest [20]
int | echotraining
char | exten [AST_MAX_EXTENSION]
int | fake_event
unsigned int | faxhandled:1
char | finaldial [64]
unsigned int | firstradio:1
struct timeval | flashtime
unsigned int | group
time_t | guardtime
unsigned int | hanguponpolarityswitch:1
unsigned int | hardwaredtmf:1
unsigned int | hidecallerid
unsigned int | ignoredtmf:1
unsigned int | immediate:1
unsigned int | inalarm:1
int | inconference
char | language [MAX_LANGUAGE]
char | lastcid_name [AST_MAX_EXTENSION]
char | lastcid_num [AST_MAX_EXTENSION]
int | law
ast_mutex_t | lock
char | mailbox [AST_MAX_EXTENSION]
struct zt_pvt * | master
unsigned int | mate:1
int | msgstate
char | musicclass [MAX_MUSICCLASS]
struct zt_pvt * | next
int | onhooktime
char * | origcid_name
char * | origcid_num
unsigned int | outgoing:1
unsigned int | overlapdial:1
struct ast_channel * | owner
unsigned int | permcallwaiting:1
unsigned int | permhidecallerid:1
ast_group_t | pickupgroup
int | polarity
struct timeval | polaritydelaytv
int | polarityonanswerdelay
struct zt_pvt * | prev
unsigned int | priexclusive:1
unsigned int | priindication_oob:1
int | propconfno
unsigned int | pulse:1
unsigned int | pulsedial:1
int | radio
char | rdnis [AST_MAX_EXTENSION]
unsigned int | restrictcid:1
int | ringt
int | ringt_base
float | rxgain
struct zt_confinfo | saveconf
int | sendcalleridafter
int | sig
struct zt_pvt * | slaves [MAX_SLAVES]
int | span
int | stripmsd
struct zt_subchannel | sub_unused
struct zt_subchannel | subs [3]
struct tdd_state * | tdd
unsigned int | threewaycalling:1
int | tonezone
unsigned int | transfer:1
unsigned int | transfertobusy:1
float | txgain
unsigned int | use_callerid:1
unsigned int | use_callingpres:1
unsigned int | usedistinctiveringdetection:1
int | whichwink
unsigned int | zaptrcallerid:1

## Detailed Description

Definition at line 674 of file chan_zap.c.

## Field Documentation

char accountcode[AST_MAX_ACCOUNT_CODE]

Account code

Definition at line 811 of file chan_zap.c.

Referenced by mkintf(), and zt_new().

unsigned int adsi

Definition at line 696 of file chan_zap.c.

Referenced by mkintf(), and zt_new().

int amaflags

AMA Flags

Definition at line 812 of file chan_zap.c.

Referenced by mkintf(), and zt_new().

unsigned int answeronpolarityswitch

Definition at line 697 of file chan_zap.c.

Referenced by mkintf(), and zt_handle_event().

int busy_quietlength

Definition at line 803 of file chan_zap.c.

Referenced by mkintf(), and zt_new().

int busy_tonelength

Definition at line 802 of file chan_zap.c.

Referenced by mkintf(), and zt_new().

int busycount

Definition at line 801 of file chan_zap.c.

Referenced by mkintf(), and zt_new().

unsigned int busydetect

Definition at line 698 of file chan_zap.c.

Referenced by mkintf(), zt_new(), and zt_read().

char call_forward[AST_MAX_EXTENSION]

Definition at line 814 of file chan_zap.c.

Referenced by ss_thread(), and zt_new().

ast_group_t callgroup

Definition at line 780 of file chan_zap.c.

Referenced by mkintf(), and zt_new().

int callingpres

The value of callling presentation that we're going to use when placing a PRI call

Definition at line 787 of file chan_zap.c.

Referenced by zt_new().

int callprogress

Definition at line 804 of file chan_zap.c.

Referenced by mkintf(), zt_handle_dtmfup(), zt_handle_event(), zt_new(), and zt_read().

unsigned int callreturn

Definition at line 699 of file chan_zap.c.

Referenced by mkintf(), and ss_thread().

char callwait_name[AST_MAX_EXTENSION]

Definition at line 772 of file chan_zap.c.

Referenced by send_cwcidspill(), and zt_call().

char callwait_num[AST_MAX_EXTENSION]

Definition at line 771 of file chan_zap.c.

Referenced by send_cwcidspill(), and zt_call().

int callwaitcas

Definition at line 796 of file chan_zap.c.

Referenced by send_callerid(), send_cwcidspill(), zap_show_channel(), zt_call(), zt_callwait(), zt_handle_dtmfup(), zt_handle_event(), zt_hangup(), and zt_read().

unsigned int callwaiting

Definition at line 700 of file chan_zap.c.

Referenced by available(), mkintf(), ss_thread(), and zt_hangup().

unsigned int callwaitingcallerid

Definition at line 701 of file chan_zap.c.

Referenced by mkintf(), and zt_callwait().

int callwaitingrepeat

How many samples to wait before repeating call waiting

Definition at line 788 of file chan_zap.c.

Referenced by __zt_exception(), zt_callwait(), zt_handle_event(), zt_hangup(), and zt_read().

int callwaitrings

Definition at line 797 of file chan_zap.c.

Referenced by zt_call(), zt_callwait(), and zt_read().

unsigned int cancallforward

Definition at line 702 of file chan_zap.c.

Referenced by mkintf(), and ss_thread().

unsigned int canpark

Definition at line 703 of file chan_zap.c.

Referenced by mkintf(), and ss_thread().

int channel

Channel Number or CRV

Definition at line 782 of file chan_zap.c.

Referenced by __zt_exception(), action_zapshowchannels(), alloc_sub(), available(), check_for_conference(), do_monitor(), enable_dtmf_detect(), find_channel(), get_alarms(), handle_init_event(), isourconf(), mkintf(), my_zt_write(), reset_conf(), ss_thread(), unalloc_sub(), update_conf(), zap_destroy_channel(), zap_show_channel(), zap_show_channels(), zt_answer(), zt_bridge(), zt_call(), zt_confmute(), zt_disable_ec(), zt_enable_ec(), zt_fixup(), zt_handle_event(), zt_hangup(), zt_link(), zt_new(), zt_read(), zt_request(), zt_sendtext(), zt_setoption(), zt_train_ec(), zt_unlink(), and zt_write().

char cid_name[AST_MAX_EXTENSION]

Definition at line 766 of file chan_zap.c.

Referenced by mkintf(), ss_thread(), zap_show_channel(), zt_handle_event(), zt_hangup(), and zt_new().

char cid_num[AST_MAX_EXTENSION]

Definition at line 764 of file chan_zap.c.

Referenced by mkintf(), ss_thread(), zap_show_channel(), zt_handle_event(), zt_hangup(), and zt_new().

int cid_signalling

CID signalling type bell202 or v23

Definition at line 785 of file chan_zap.c.

Referenced by mkintf(), and ss_thread().

int cid_start

CID start indicator, polarity or ring

Definition at line 786 of file chan_zap.c.

Referenced by handle_init_event(), mkintf(), and ss_thread().

int cid_ton

Type Of Number (TON)

Definition at line 765 of file chan_zap.c.

Referenced by mkintf(), zap_show_channel(), and zt_new().

int cidcwexpire

When to expire our muting for CID/CW

Definition at line 789 of file chan_zap.c.

Referenced by __zt_exception(), send_callerid(), send_cwcidspill(), zt_handle_event(), zt_hangup(), and zt_read().

int cidlen

Definition at line 792 of file chan_zap.c.

Referenced by do_monitor(), send_callerid(), send_cwcidspill(), zt_call(), and zt_callwait().

int cidpos

Definition at line 791 of file chan_zap.c.

Referenced by do_monitor(), send_callerid(), send_cwcidspill(), zt_call(), and zt_callwait().

int cidrings

Which ring to deliver CID on

Definition at line 820 of file chan_zap.c.

Referenced by zt_call(), zt_handle_event(), zt_hangup(), and zt_read().

unsigned char* cidspill

Definition at line 790 of file chan_zap.c.

Referenced by __unload_module(), do_monitor(), handle_init_event(), send_callerid(), send_cwcidspill(), zt_call(), zt_callwait(), zt_handle_dtmfup(), zt_handle_event(), zt_hangup(), zt_read(), and zt_write().

unsigned int confirmanswer

Wait for '#' to confirm answer

Definition at line 704 of file chan_zap.c.

Referenced by zt_handle_dtmfup(), zt_handle_event(), zt_hangup(), and zt_request().

int confno

Our conference

Definition at line 777 of file chan_zap.c.

Referenced by check_for_conference(), conf_add(), isourconf(), mkintf(), reset_conf(), update_conf(), and zap_show_channel().

int confusers

Who is using our conference

Definition at line 778 of file chan_zap.c.

char context[AST_MAX_CONTEXT]

Definition at line 756 of file chan_zap.c.

Referenced by action_zapshowchannels(), mkintf(), ss_thread(), zap_show_channel(), zap_show_channels(), and zt_new().

int cref

Call reference number

Definition at line 807 of file chan_zap.c.

char defcontext[AST_MAX_CONTEXT]

Definition at line 757 of file chan_zap.c.

Referenced by mkintf(), and ss_thread().

unsigned int destroy

Definition at line 705 of file chan_zap.c.

Referenced by chandup(), mkintf(), zap_show_channel(), and zt_hangup().

char dialdest[256]

Definition at line 816 of file chan_zap.c.

Referenced by zt_call(), zt_digit(), and zt_handle_event().

unsigned int dialednone

Definition at line 707 of file chan_zap.c.

Referenced by zt_call(), and zt_handle_event().

unsigned int dialing

Definition at line 708 of file chan_zap.c.

Referenced by __zt_exception(), zap_show_channel(), zt_answer(), zt_call(), zt_digit(), zt_handle_event(), zt_hangup(), zt_read(), and zt_write().

unsigned int didtdd

flag to say its done it once

Definition at line 706 of file chan_zap.c.

Referenced by zt_hangup(), and zt_setoption().

unsigned int digital

Definition at line 709 of file chan_zap.c.

Referenced by zt_answer(), zt_call(), zt_enable_ec(), zt_hangup(), zt_indicate(), zt_new(), zt_request(), and zt_write().

int distinctivering

Which distinctivering to use

Definition at line 819 of file chan_zap.c.

Referenced by zt_call(), zt_hangup(), and zt_request().

unsigned int dnd

Definition at line 710 of file chan_zap.c.

Referenced by action_zapdndoff(), action_zapdndon(), action_zapshowchannels(), available(), and ss_thread().

char dnid[AST_MAX_EXTENSION]

Definition at line 774 of file chan_zap.c.

Referenced by zt_new().

ZT_DIAL_OPERATION dop

Definition at line 808 of file chan_zap.c.

Referenced by ss_thread(), zt_call(), zt_handle_event(), and zt_indicate().

struct zt_distRings drings`[read]`

Definition at line 754 of file chan_zap.c.

Referenced by mkintf(), and ss_thread().

struct ast_dsp* dsp`[read]`

Definition at line 806 of file chan_zap.c.

Referenced by disable_dtmf_detect(), enable_dtmf_detect(), mkintf(), ss_thread(), zap_show_channel(), zt_handle_event(), zt_hangup(), zt_new(), zt_read(), and zt_setoption().

int dsp_features

Definition at line 839 of file chan_zap.c.

Referenced by disable_dtmf_detect(), enable_dtmf_detect(), and zt_new().

int dtmfrelax

whether to run in relaxed DTMF mode

Definition at line 821 of file chan_zap.c.

Referenced by mkintf(), ss_thread(), zap_show_channel(), zt_hangup(), zt_new(), and zt_setoption().

unsigned int echobreak

Definition at line 711 of file chan_zap.c.

Referenced by zt_call(), and zt_handle_event().

unsigned int echocanbridged

Definition at line 712 of file chan_zap.c.

Referenced by mkintf(), zap_show_channel(), and zt_bridge().

int echocancel

Definition at line 798 of file chan_zap.c.

Referenced by mkintf(), zap_show_channel(), zt_disable_ec(), zt_enable_ec(), and zt_train_ec().

unsigned int echocanon

Definition at line 713 of file chan_zap.c.

Referenced by zap_show_channel(), zt_disable_ec(), and zt_enable_ec().

char echorest[20]

Definition at line 800 of file chan_zap.c.

Referenced by zt_call(), and zt_handle_event().

int echotraining

Definition at line 799 of file chan_zap.c.

Referenced by mkintf(), zt_call(), zt_handle_event(), and zt_train_ec().

char exten[AST_MAX_EXTENSION]

Definition at line 758 of file chan_zap.c.

Referenced by ss_thread(), zap_show_channel(), zap_show_channels(), zt_hangup(), and zt_new().

int fake_event

Definition at line 822 of file chan_zap.c.

Referenced by __zt_exception(), zap_fake_event(), zt_handle_event(), zt_new(), and zt_read().

unsigned int faxhandled

Has a fax tone already been handled?

Definition at line 714 of file chan_zap.c.

Referenced by zap_show_channel(), zt_handle_dtmfup(), and zt_hangup().

char finaldial[64]

Definition at line 810 of file chan_zap.c.

Referenced by zt_call(), and zt_handle_event().

unsigned int firstradio

Definition at line 715 of file chan_zap.c.

Referenced by mkintf(), and zt_read().

struct timeval flashtime`[read]`

Last flash-hook time

Definition at line 805 of file chan_zap.c.

Referenced by __zt_exception(), and zt_handle_event().

unsigned int group

Definition at line 775 of file chan_zap.c.

Referenced by available(), and mkintf().

time_t guardtime

Must wait this much time before using for new call

Definition at line 784 of file chan_zap.c.

Referenced by available(), and zt_hangup().

unsigned int hanguponpolarityswitch

Definition at line 716 of file chan_zap.c.

Referenced by mkintf(), zt_answer(), and zt_handle_event().

unsigned int hardwaredtmf

Definition at line 717 of file chan_zap.c.

Referenced by disable_dtmf_detect(), enable_dtmf_detect(), ss_thread(), and zt_new().

unsigned int hidecallerid

Definition at line 718 of file chan_zap.c.

Referenced by mkintf(), ss_thread(), zt_call(), and zt_hangup().

unsigned int ignoredtmf

Definition at line 719 of file chan_zap.c.

Referenced by disable_dtmf_detect(), enable_dtmf_detect(), zt_hangup(), and zt_read().

unsigned int immediate

Answer before getting digits?

Definition at line 720 of file chan_zap.c.

Referenced by handle_init_event(), mkintf(), and ss_thread().

unsigned int inalarm

Definition at line 721 of file chan_zap.c.

Referenced by handle_init_event(), mkintf(), zap_show_channel(), zt_handle_event(), zt_read(), and zt_request().

int inconference

If our real should be in the conference

Definition at line 685 of file chan_zap.c.

Referenced by update_conf(), zap_show_channel(), zt_bridge(), and zt_unlink().

char language[MAX_LANGUAGE]

Definition at line 759 of file chan_zap.c.

Referenced by mkintf(), zap_show_channels(), and zt_new().

char lastcid_name[AST_MAX_EXTENSION]

Definition at line 768 of file chan_zap.c.

Referenced by zt_call(), and zt_read().

char lastcid_num[AST_MAX_EXTENSION]

Definition at line 767 of file chan_zap.c.

Referenced by ss_thread(), zt_call(), and zt_read().

int law

Definition at line 776 of file chan_zap.c.

Referenced by bump_gains(), isslavenative(), mkintf(), restore_gains(), zap_show_channel(), zt_call(), and zt_setoption().

ast_mutex_t lock

Definition at line 675 of file chan_zap.c.

Referenced by chandup(), destroy_zt_pvt(), mkintf(), wakeup_sub(), zap_queue_frame(), zt_answer(), zt_bridge(), zt_call(), zt_digit(), zt_exception(), zt_fixup(), zt_handle_event(), zt_hangup(), zt_indicate(), zt_read(), zt_unlink(), and zt_write().

char mailbox[AST_MAX_EXTENSION]

Definition at line 815 of file chan_zap.c.

Referenced by do_monitor(), has_voicemail(), and mkintf().

struct zt_pvt* master`[read]`

Master to us (we follow their conferencing)

Definition at line 684 of file chan_zap.c.

Referenced by check_for_conference(), update_conf(), zap_show_channel(), zt_link(), and zt_unlink().

unsigned int mate

flag to say its in MATE mode

Definition at line 722 of file chan_zap.c.

Referenced by zt_sendtext(), and zt_setoption().

int msgstate

Definition at line 818 of file chan_zap.c.

Referenced by do_monitor(), mkintf(), and zt_handle_event().

char musicclass[MAX_MUSICCLASS]

Definition at line 760 of file chan_zap.c.

Referenced by mkintf(), zap_show_channels(), and zt_new().

struct zt_pvt* next`[read]`

Next channel in list

Definition at line 692 of file chan_zap.c.

Referenced by __unload_module(), action_zapshowchannels(), chandup(), destroy_channel(), destroy_zt_pvt(), do_monitor(), find_channel(), mkintf(), zap_destroy_channel(), zap_show_channel(), zap_show_channels(), zt_hangup(), and zt_request().

int onhooktime

Definition at line 817 of file chan_zap.c.

Referenced by do_monitor(), mkintf(), zt_handle_event(), and zt_hangup().

char* origcid_name

malloced original callerid

Definition at line 770 of file chan_zap.c.

Referenced by zt_handle_event(), and zt_hangup().

char* origcid_num

malloced original callerid

Definition at line 769 of file chan_zap.c.

Referenced by zt_handle_event(), and zt_hangup().

unsigned int outgoing

Definition at line 723 of file chan_zap.c.

Referenced by available(), zt_call(), zt_handle_event(), zt_hangup(), zt_indicate(), zt_new(), zt_read(), zt_request(), and zt_write().

unsigned int overlapdial

Definition at line 724 of file chan_zap.c.

Referenced by zt_handle_event(), and zt_read().

struct ast_channel* owner`[read]`

Our current active owner (if applicable) Up to three channels can be associated with this call

Definition at line 676 of file chan_zap.c.

Referenced by __unload_module(), __zt_exception(), action_zapdialoffhook(), available(), destroy_channel(), do_monitor(), ss_thread(), zap_fake_event(), zap_queue_frame(), zap_show_channel(), zt_answer(), zt_bridge(), zt_call(), zt_digit(), zt_fixup(), zt_handle_event(), zt_hangup(), zt_new(), zt_read(), zt_request(), and zt_write().

unsigned int permcallwaiting

Definition at line 725 of file chan_zap.c.

Referenced by mkintf(), and zt_hangup().

unsigned int permhidecallerid

Whether to hide our outgoing caller ID or not

Definition at line 726 of file chan_zap.c.

Referenced by mkintf(), and zt_hangup().

ast_group_t pickupgroup

Definition at line 781 of file chan_zap.c.

Referenced by mkintf(), and zt_new().

int polarity

Definition at line 838 of file chan_zap.c.

Referenced by handle_init_event(), unalloc_sub(), zt_handle_event(), and zt_hangup().

struct timeval polaritydelaytv`[read]`

Definition at line 824 of file chan_zap.c.

Referenced by zt_answer(), and zt_handle_event().

int polarityonanswerdelay

Definition at line 823 of file chan_zap.c.

Referenced by mkintf(), and zt_handle_event().

struct zt_pvt* prev`[read]`

Prev channel in list

Definition at line 693 of file chan_zap.c.

Referenced by destroy_channel(), destroy_zt_pvt(), mkintf(), zap_destroy_channel(), zt_hangup(), and zt_request().

unsigned int priexclusive

Definition at line 728 of file chan_zap.c.

Referenced by mkintf(), and zt_call().

unsigned int priindication_oob

Definition at line 727 of file chan_zap.c.

Referenced by mkintf(), and zt_indicate().

int propconfno

Propagated conference number

Definition at line 779 of file chan_zap.c.

Referenced by mkintf(), and zap_show_channel().

unsigned int pulse

Definition at line 729 of file chan_zap.c.

Referenced by mkintf(), and zt_call().

unsigned int pulsedial

whether a pulse dial phone is detected

Definition at line 730 of file chan_zap.c.

Referenced by zap_show_channel(), zt_bridge(), zt_handle_event(), zt_hangup(), and zt_read().

int radio

radio type

Definition at line 688 of file chan_zap.c.

Referenced by __zt_exception(), available(), do_monitor(), handle_init_event(), mkintf(), zap_show_channel(), zt_answer(), zt_call(), zt_handle_event(), zt_hangup(), zt_indicate(), and zt_read().

char rdnis[AST_MAX_EXTENSION]

Definition at line 773 of file chan_zap.c.

Referenced by zt_hangup(), and zt_new().

unsigned int restrictcid

Whether restrict the callerid -> only send ANI

Definition at line 731 of file chan_zap.c.

Referenced by mkintf().

int ringt

Definition at line 793 of file chan_zap.c.

Referenced by handle_init_event(), ss_thread(), zt_answer(), zt_handle_event(), zt_hangup(), and zt_read().

int ringt_base

Definition at line 794 of file chan_zap.c.

Referenced by handle_init_event(), mkintf(), ss_thread(), and zt_handle_event().

float rxgain

Definition at line 689 of file chan_zap.c.

Referenced by bump_gains(), mkintf(), restore_gains(), zt_call(), and zt_setoption().

struct zt_confinfo saveconf`[read]`

Saved conference info

Definition at line 681 of file chan_zap.c.

Referenced by restore_conference(), and save_conference().

int sendcalleridafter

Definition at line 825 of file chan_zap.c.

Referenced by mkintf(), and zt_call().

int sig

Signalling style

Definition at line 687 of file chan_zap.c.

Referenced by action_zapshowchannels(), available(), do_monitor(), handle_init_event(), mkintf(), setup_zap(), ss_thread(), zap_show_channel(), zt_answer(), zt_bridge(), zt_call(), zt_confmute(), zt_digit(), zt_enable_ec(), zt_handle_event(), zt_hangup(), zt_indicate(), zt_new(), zt_read(), zt_request(), and zt_write().

struct zt_pvt* slaves[MAX_SLAVES]`[read]`

Slave to us (follows our conferencing)

Definition at line 683 of file chan_zap.c.

Referenced by isslavenative(), update_conf(), zap_show_channel(), zt_link(), and zt_unlink().

int span

Span number

Definition at line 783 of file chan_zap.c.

Referenced by get_alarms(), mkintf(), zap_show_channel(), zt_answer(), zt_digit(), zt_hangup(), zt_indicate(), and zt_write().

int stripmsd

Definition at line 795 of file chan_zap.c.

Referenced by mkintf(), and zt_call().

struct zt_subchannel sub_unused`[read]`

Just a safety precaution

Definition at line 679 of file chan_zap.c.

struct zt_subchannel subs[3]`[read]`

Sub-channels

Definition at line 680 of file chan_zap.c.

Referenced by __unload_module(), __zt_exception(), alloc_sub(), attempt_transfer(), available(), bump_gains(), chandup(), check_for_conference(), destroy_channel(), disable_dtmf_detect(), do_monitor(), enable_dtmf_detect(), get_alarms(), handle_init_event(), isslavenative(), mkintf(), my_zt_write(), reset_conf(), restore_conference(), restore_gains(), save_conference(), send_callerid(), ss_thread(), swap_subs(), unalloc_sub(), update_conf(), wakeup_sub(), zap_show_channel(), zt_answer(), zt_bridge(), zt_call(), zt_confmute(), zt_digit(), zt_disable_ec(), zt_enable_ec(), zt_fixup(), zt_get_index(), zt_handle_dtmfup(), zt_handle_event(), zt_hangup(), zt_indicate(), zt_new(), zt_read(), zt_request(), zt_ring_phone(), zt_sendtext(), zt_setoption(), zt_train_ec(), zt_unlink(), zt_wink(), and zt_write().

struct tdd_state* tdd`[read]`

TDD flag

Definition at line 813 of file chan_zap.c.

Referenced by zt_read(), zt_sendtext(), and zt_setoption().

unsigned int threewaycalling

Definition at line 732 of file chan_zap.c.

Referenced by mkintf(), and zt_handle_event().

int tonezone

tone zone for this chan, or -1 for default

Definition at line 691 of file chan_zap.c.

Referenced by mkintf().

unsigned int transfer

Definition at line 733 of file chan_zap.c.

Referenced by mkintf(), ss_thread(), zt_bridge(), and zt_handle_event().

unsigned int transfertobusy

allow flash-transfers to busy channels

Definition at line 738 of file chan_zap.c.

Referenced by mkintf(), and zt_handle_event().

float txgain

Definition at line 690 of file chan_zap.c.

Referenced by bump_gains(), mkintf(), restore_gains(), zt_call(), and zt_setoption().

unsigned int use_callerid

Whether or not to use caller id on this channel

Definition at line 734 of file chan_zap.c.

Referenced by mkintf(), ss_thread(), and zt_call().

unsigned int use_callingpres

Whether to use the callingpres the calling switch sends

Definition at line 735 of file chan_zap.c.

Referenced by mkintf(), and zt_call().

unsigned int usedistinctiveringdetection

Definition at line 736 of file chan_zap.c.

Referenced by mkintf(), and ss_thread().

int whichwink

SIG_FEATDMF_TA Which wink are we on?

Definition at line 809 of file chan_zap.c.

Referenced by zt_call(), and zt_handle_event().

unsigned int zaptrcallerid

should we use the callerid from incoming call on zap transfer or not

Definition at line 737 of file chan_zap.c.

Referenced by mkintf(), and zt_handle_event().

The documentation for this struct was generated from the following file:

- chan_zap.c